value.hpp File Reference

Forward declares `boost::hana::value`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

template<typename T >
constexpr auto | boost::hana::value
| Return the compile-time value associated to a constant.This function returns the value associated to a `Constant`. That value is always a constant expression. The normal way of using `value` on an object `c` is. More...
constexpr auto | boost::hana::value_of
| Equivalent to `value`, but can be passed to higher-order algorithms.This function object is equivalent to `value`, except it can be passed to higher order algorithms because it is a function object. `value` can't be passed to higher-order algorithms because it is implemented as an overloaded function. More...

## Detailed Description

Forward declares `boost::hana::value`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)